kind: StorageClass
apiVersion: storage.k8s.io/v1
metadata:
  name: manual
provisioner: kubernetes.io/no-provisioner
volumeBindingMode: WaitForFirstConsumer

---

kind: PersistentVolume
apiVersion: v1
metadata:
  name: dotnext
  labels:
    name: dotnext
spec:
  storageClassName: manual
  accessModes: [ "ReadWriteOnce" ]
  persistentVolumeReclaimPolicy: Delete
  volumeMode: Filesystem
  capacity:
    storage: 50Mi
  local:
    path: /localmount/.next
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - test-init-worker
                - test-init-worker2

---

kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: dotnext
spec:
  accessModes: [ "ReadWriteOnce" ]
  resources:
    requests:
      storage: 50Mi
  storageClassName: manual
  selector:
    matchLabels:
      name: dotnext

---

kind: PersistentVolume
apiVersion: v1
metadata:
  name: public
  labels:
    name: public
spec:
  storageClassName: manual
  accessModes: [ "ReadWriteOnce" ]
  persistentVolumeReclaimPolicy: Delete
  volumeMode: Filesystem
  capacity:
    storage: 20Mi
  local:
    path: /localmount/public
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - test-init-worker
                - test-init-worker2

---

kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: public
spec:
  accessModes: [ "ReadWriteOnce" ]
  resources:
    requests:
      storage: 20Mi
  storageClassName: manual
  selector:
    matchLabels:
      name: public
--- 

kind: PersistentVolume
apiVersion: v1
metadata:
  name: nodemodules
  labels:
    name: nodemodules
spec:
  storageClassName: manual
  accessModes: [ "ReadWriteOnce" ]
  persistentVolumeReclaimPolicy: Delete
  volumeMode: Filesystem
  capacity:
    storage: 500Mi
  local:
    path: /localmount/node_modules
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - test-init-worker
                - test-init-worker2

---

kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: nodemodules
spec:
  accessModes: [ "ReadWriteOnce" ]
  resources:
    requests:
      storage: 500Mi
  storageClassName: manual
  selector:
    matchLabels:
      name: nodemodules
